Create Point of View

Creates one or more points of view in Enterprise Profitability and Cost Management.

This is an asynchronous call, so use the job status URI to determine whether the operation is complete.

Required Roles

Service Administrators

Note:

This REST API supports using an existing job as the source of parameter values. The job type must be Create POV, created and saved in PCM Agent. Any parameters defined in the saved job can be overridden at runtime by providing values in the REST request payload.

REST Resource

POST /HyperionPlanning/rest/v3/applications/{AppName}/jobs/

Request

Supported Media Types: application/json

Note:

If substitution variables exist for parameters, you can use them instead of actual values in the REST API. See Using Substitution Variables in Enterprise Profitability and Cost Management REST APIs for more information.

Table 5-6 Request Parameters

Name Description Type Required Default
jobType Create POV Payload Yes None
jobName

Name of the job

Example: "Create POV"

The jobName parameter is required and must be provided, even if it’s just a placeholder value. If a saved job exists with the provided job name, the platform jobs Framework resolves it and populates all parameters from the saved job definition. If no saved job is found, it treats the value as a user-defined job name.

Payload Yes None
yearMembers Year members for the POV. Specify multiple members as a comma-separated list. Example: "FY30,FY31". Payload Yes None
periodMembers Period members for the POV. Specify multiple members as a comma-separated list. Example: "Jun,Jul" Payload Yes None
scenarioMembers Scenario members for the POV. Specify multiple members as a comma-separated list. Example:"Plan" Payload Yes None
versionMembers Version members for the POV. Specify multiple members as a comma-separated list. Example: "What If 1" Payload Yes None

Sample Payload

{
  "jobType": "Create POV",
  "jobName": "Create POV",
  "parameters": {
    "yearMembers": "FY30,FY31",
    "periodMembers": "Jun,Jul",
    "scenarioMembers": "Plan",
    "versionMembers": "What If 1"
  }
}
}

Response

Supported Media Types: application/json

Note:

If substitution variables exist for parameters, you can use them instead of actual values in the REST API. See Using Substitution Variables in Enterprise Profitability and Cost Management REST APIs for more information.

Table 5-7 Response Parameters

Name Description
jobId ID of the job that is created
jobName Name of the job
details In case of errors, details are published with the error string
status See Migration Status Codes.
links Detailed information about the link
href Links to the API call
action HTTP call type
rel Can be self and/or Job-details. If set to Job Status, you can use the href to get the status of the job.
data Parameters as key value pairs passed in the request

Examples of Response Body

The following examples show the contents of the response body in JSON format:

Example 1: Job is in Progress

{
  "jobId": 26,
  "jobName": "Create POV",
  "status": -1,
  "descriptiveStatus": "Processing",
  "details": null,
  "links": [
    {
      "href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/<AppName>/jobs/26",
      "action": "GET",
      "rel": "self"
    },
    {
      "href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/<AppName>/jobs/26/details",
      "action": "GET",
      "rel": "job-details"
    }
  ]
}

Example 2: Job Status with No Errors

{
  "jobId": 26,
  "jobName": "Create POV",
  "status": 0,
  "descriptiveStatus": "Success",
  "details": null,
  "links": [
    {
      "href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/<AppName>/jobs/26",
      "action": "GET",
      "rel": "self"
    },
    {
      "href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/<AppName>/jobs/26/details",
      "action": "GET",
      "rel": "job-details"
    }
  ]
}